Bug 1214968 - dnf reports installed group does not exist
dnf reports installed group does not exist
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Luscon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-23 21:08 EDT by David Green
Modified: 2015-06-22 15:48 EDT (History)
18 users (show)

See Also:
Fixed In Version: dnf-1.0.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-20 20:16:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Green 2015-04-23 21:08:55 EDT
Description of problem:
Attempting to remove installed package group dnf reports group does not exist when grouplist shows group name

Version-Release number of selected component (if applicable):
0.6.5-2

How reproducible:


Steps to Reproduce:
1. dnf grouplist -v to list installed groups
2.  select a package group to remove
3.  dnf groupremove <selected group name>

Actual results:
dnf gives warning that specified group does not exist

Expected results:
dnf should remove the package group

Additional info:
Seems to be the same as this bug opened against dnf in Fedora21:
https://bugzilla.redhat.com/show_bug.cgi?id=1199648
Comment 1 David Green 2015-04-23 21:11:33 EDT
for example:

dnf grouplist -v
   Installed environment groups:
   KDE Plasma Workspaces (kde-desktop-environment)

dnf groupremove "KDE Plasma Workspaces"
     Warning: Group 'KDE Plasma Workspaces' does not exist.
Comment 2 Dan Mossor [danofsatx] 2015-04-23 21:16:18 EDT
Confirmed on F22 Beta:

[root@g55 ~]# dnf group install LibreOffice
Using metadata from Tue Apr 21 23:19:04 2015 (1 day, 20:48:50 hours old)
Dependencies resolved.
===================================================================================
 Group                     Packages
===================================================================================
Marking installed:
 LibreOffice               libreoffice-impress            libreoffice-pyuno
                           libreoffice-base               libreoffice-calc
                           libreoffice-emailmerge         libreoffice-graphicfilter
                           libreoffice-draw               libreoffice-writer
                           libreoffice-math         
Is this ok [y/N]: y
Complete!
[root@g55 ~]# dnf group remove LibreOffice
Warning: Group 'LibreOffice' does not exist.
Dependencies resolved.
Is this ok [y/N]:
Comment 3 Dan Mossor [danofsatx] 2015-04-23 21:18:23 EDT
Also exists in the Python3 dnf packages:

[root@g55 ~]# dnf-3 group remove LibreOffice
Warning: Group 'LibreOffice' does not exist.
Dependencies resolved.
Is this ok [y/N]: n
Operation aborted.
[root@g55 ~]# dnf-3 remove @libreoffice
Warning: Group 'libreoffice' does not exist.
Error: No packages marked for removal.
[root@g55 ~]# dnf remove @libreoffice
Warning: Group 'libreoffice' does not exist.
Error: No packages marked for removal.
Comment 4 Michal Luscon 2015-04-24 03:25:38 EDT
Thanks for the report. I will take a look.
Comment 5 Robin Lee 2015-05-28 01:58:14 EDT
Also met this issue with dnf-1.0.0-1.fc22.noarch
Comment 6 Lalatendu Mohanty 2015-05-28 09:58:34 EDT
I am too seeing this issue. Are we planning to fix it soon?
Comment 7 Anoop C S 2015-05-28 10:02:50 EDT
Same here for me..
Comment 8 Steven Kelbley 2015-05-28 15:20:45 EDT
Also have this issue with dnf-1.0.0-1.fc22
Comment 9 David Green 2015-05-28 15:53:03 EDT
Confirming the bug still exists in dnf-1.0.0-1.fc22, using same steps when reporting the original bug
Comment 10 Anoop C S 2015-05-29 01:24:15 EDT
Somehow I managed to remove kde-desktop group by retrieving the transaction ID (from dnf history list) and did a dnf history undo for that ID. I hope this will work for others too (as a workaround).
Comment 11 zachvatwork 2015-06-07 22:26:11 EDT
This fix does not work for me. Discussed in #fedora, add convo to pastebin; http://pastebin.com/bCGK8RDd
Comment 12 Skip Wyatt 2015-06-11 12:44:20 EDT
I am having the same issue with dnf-1.0.0-1.fc22 

I cannot remove the Xfce Desktop group.
Comment 13 Fedora Update System 2015-06-12 05:05:31 EDT
dnf-1.0.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-1.0.1-2.fc22
Comment 14 Fedora Update System 2015-06-14 13:33:29 EDT
Package dnf-1.0.1-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-1.0.1-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10004/dnf-1.0.1-2.fc22
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2015-06-20 20:16:11 EDT
dnf-1.0.1-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 David Green 2015-06-22 15:48:51 EDT
I did an update today and picked up the new version.  I verified that the bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.